/* import 'dart:typed_data';

import 'package:flutter/material.dart';
import 'package:signature/signature.dart';

import '../interfaces/firma_interface.dart';

class FirmaPlugin implements FirmaInterface {
  final _firmaController = SignatureController(
    penColor: Colors.black,
  );

  void disposeController() {
    _firmaController.dispose();
  }

  @override
  void clear() {
    _firmaController.clear();
  }

  @override
  void redo() {
    _firmaController.redo();
  }

  @override
  void undo() {
    _firmaController.undo();
  }

  @override
  Future<Uint8List?> toPngBytes() async {
    return await _firmaController.toPngBytes();
  }

  @override
  Widget drawSignature(
      {double? width,
      double? height,
      Color backgroundColor = const Color(0xfff1f1f1)}) {
    return Signature(
      controller: _firmaController,
      width: width,
      height: height,
      backgroundColor: backgroundColor,
    );
  }

  @override
  bool isNotEmpty() {
    return _firmaController.isNotEmpty;
  }

  @override
  bool isEmpty() {
    return _firmaController.isEmpty;
  }
}
 */